package com.ozs.home.domain.vo;


import com.fasterxml.jackson.annotation.JsonFormat;
import com.ozs.common.vo.PageVo;
import lombok.Data;

import java.util.Date;

/**
 * @author buzhanyi
 */
@Data
public class HomeNoticeVo extends PageVo {
    /** 首页分类（0需求单位首页1采购管理部门首页2采购部首页） */
    private String homepageClassification;

    /**
     * 公告分类（0采购公告1中标公告2流标公告）
     */
    private String announcementClassification;

    /**
     * 公告名称
     */
    private String noticeName;

    /**
     * 公告时间
     */
    private Date noticeTime;

    /**
     * 查询参数开始时间和结束时间
     */
    @JsonFormat(pattern = "yyyy-MM-dd")
    private Date beginTime;
    @JsonFormat(pattern = "yyyy-MM-dd")
    private Date endTime;

}
