package com.ozs.pm.doman;

import java.util.Date;

import com.baomidou.mybatisplus.annotation.TableName;
import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;

import java.time.LocalDateTime;

import com.baomidou.mybatisplus.annotation.TableField;

import java.io.Serializable;

import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

/**
 * 流标基本情况表(PmBidFailure)å®ä½ç±»
 *
 * @author makejava
 * @since 2023-02-02 00:47:21
 */

@Data
@EqualsAndHashCode(callSuper = false)
@Accessors(chain = true)
@TableName("pm_bid_failure")
@ApiModel(value = "流标基本情况表", description = "")
public class PmBidFailure implements Serializable {
    private static final long serialVersionUID = 491684278331772388L;

    @TableId(value = "ID", type = IdType.AUTO)
    private Long id;


    @ApiModelProperty("需求ID")
    @TableField("DEMAND_ID")
    private Long demandId;


    @ApiModelProperty("流标原因")
    @TableField("BID_FAILURE_REASON")
    private String bidFailureReason;


    @ApiModelProperty("流标时间")
    @TableField("BID_FAILURE_TIME")
    private Date bidFailureTime;

    @ApiModelProperty("是否有质疑，1是，0否")
    @TableField("CALL_QUESTION")
    private String callQuestion;

    @ApiModelProperty("质疑时间")
    @TableField("CALL_QUESTION_TIME")
    private Date callQuestionTime;

    @ApiModelProperty("创建者")
    @TableField("CREATE_BY")
    private String createBy;


    @ApiModelProperty("创建时间")
    @TableField("CREATE_TIME")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private Date createTime;


    @ApiModelProperty("更新者")
    @TableField("UPDATE_BY")
    private String updateBy;


    @ApiModelProperty("更新时间")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    @TableField("UPDATE_TIME")
    private Date updateTime;


}
