package com.ozs.pm.doman;

import java.util.Date;

import com.baomidou.mybatisplus.annotation.TableName;
import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;

import java.time.LocalDateTime;

import com.baomidou.mybatisplus.annotation.TableField;

import java.io.Serializable;

import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

/**
 * 中标基本情况表(PmBidWinning)å®ä½ç±»
 *
 * @author makejava
 * @since 2023-02-02 00:47:22
 */

@Data
@EqualsAndHashCode(callSuper = false)
@Accessors(chain = true)
@TableName("pm_bid_winning")
@ApiModel(value = "中标基本情况表", description = "")
public class PmBidWinning implements Serializable {
    private static final long serialVersionUID = -23785941414293726L;

    @TableId(value = "ID", type = IdType.AUTO)
    private Long id;


    @ApiModelProperty("需求ID")
    @TableField("DEMAND_ID")
    private Long demandId;


    @ApiModelProperty("中标金额(万元)")
    @TableField("BID_WINNING_AMOUNT")
    private Double bidWinningAmount;


    @ApiModelProperty("中标公告时间")
    @TableField("BID_ANNOUNCEMENT_TIME")
    private Date bidAnnouncementTime;


    @ApiModelProperty("中标公告截止时间")
    @TableField("BID_ANNOUNCEMENT_CLOSE_TIME")
    private Date bidAnnouncementCloseTime;

    @ApiModelProperty("状态：0正常，1被替换，2被质疑流标")
    @TableField("STATUS")
    private String status;

    @ApiModelProperty("备注")
    @TableField("REMARKS")
    private String remarks;

    @ApiModelProperty("创建者")
    @TableField("CREATE_BY")
    private String createBy;


    @ApiModelProperty("创建时间")
    @TableField("CREATE_TIME")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private Date createTime;


    @ApiModelProperty("更新者")
    @TableField("UPDATE_BY")
    private String updateBy;


    @ApiModelProperty("更新时间")
    @TableField("UPDATE_TIME")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private Date updateTime;


}
