package com.ozs.pm.doman;

import java.util.Date;

import com.baomidou.mybatisplus.annotation.TableName;
import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;

import java.time.LocalDateTime;

import com.baomidou.mybatisplus.annotation.TableField;

import java.io.Serializable;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

/**
 * 中标基本情况表历史表(PmBidWinningHis)å®ä½ç±»
 *
 * @author makejava
 * @since 2023-03-06 23:22:08
 */

@Data
@EqualsAndHashCode(callSuper = false)
@Accessors(chain = true)
@TableName("pm_bid_winning_his")
@ApiModel(value = "中标基本情况表历史表", description = "")
public class PmBidWinningHis implements Serializable {
    private static final long serialVersionUID = -27629594014176432L;

    @TableId(value = "HIS_ID", type = IdType.AUTO)
    private Long hisId;


    @ApiModelProperty("主表主键")
    @TableField("ID")
    private Long id;


    @ApiModelProperty("需求ID")
    @TableField("DEMAND_ID")
    private Long demandId;


    @ApiModelProperty("中标金额(万元)")
    @TableField("BID_WINNING_AMOUNT")
    private Double bidWinningAmount;


    @ApiModelProperty("中标公告时间")
    @TableField("BID_ANNOUNCEMENT_TIME")
    private Date bidAnnouncementTime;


    @ApiModelProperty("中标公告截止时间")
    @TableField("BID_ANNOUNCEMENT_CLOSE_TIME")
    private Date bidAnnouncementCloseTime;


    @ApiModelProperty("状态：0正常，1被替换，2被质疑流标")
    @TableField("STATUS")
    private String status;


    @ApiModelProperty("创建者")
    @TableField("CREATE_BY")
    private String createBy;


    @ApiModelProperty("创建时间")
    @TableField("CREATE_TIME")
    private Date createTime;


    @ApiModelProperty("更新者")
    @TableField("UPDATE_BY")
    private String updateBy;


    @ApiModelProperty("更新时间")
    @TableField("UPDATE_TIME")
    private Date updateTime;


    @ApiModelProperty("备注")
    @TableField("REMARKS")
    private String remarks;


    @ApiModelProperty("回退序号")
    @TableField("RETURN_ORDER_NUMBER")
    private Integer returnOrderNumber;


}
