package com.ozs.pm.doman;

import java.util.Date;

import com.baomidou.mybatisplus.annotation.TableName;
import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;

import java.time.LocalDateTime;

import com.baomidou.mybatisplus.annotation.TableField;

import java.io.Serializable;

import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

/**
 * 中标开标关联表(PmBidWinningOpeningRef)å®ä½ç±»
 *
 * @author makejava
 * @since 2023-02-05 09:44:12
 */

@Data
@EqualsAndHashCode(callSuper = false)
@Accessors(chain = true)
@TableName("pm_bid_winning_opening_ref")
@ApiModel(value = "中标开标关联表", description = "")
public class PmBidWinningOpeningRef implements Serializable {
    private static final long serialVersionUID = -83530061962122026L;

    @TableId(value = "ID", type = IdType.AUTO)
    private Long id;

    @ApiModelProperty("中标ID")
    @TableField("WINNING_ID")
    private Long winningId;

    @ApiModelProperty("开标ID")
    @TableField("OPENING_ID")
    private Long openingId;

    @ApiModelProperty("需求ID")
    @TableField("DEMAND_ID")
    private Long demandId;

    @ApiModelProperty("状态：0正常，1被替换，2被质疑流标")
    @TableField("STATUS")
    private String status;

    @ApiModelProperty("创建者")
    @TableField("CREATE_BY")
    private String createBy;


    @ApiModelProperty("创建时间")
    @TableField("CREATE_TIME")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private Date createTime;


    @ApiModelProperty("更新者")
    @TableField("UPDATE_BY")
    private String updateBy;


    @ApiModelProperty("更新时间")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    @TableField("UPDATE_TIME")
    private Date updateTime;


}
