package com.ozs.pm.doman.vo.requestVo;

import com.fasterxml.jackson.annotation.JsonFormat;
import com.ozs.base.domain.BaseExpert;
import com.ozs.common.core.domain.BaseEntity;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.util.Date;
import java.util.List;

@Data
public class PmBaseExpertFillReqVo {

    @ApiModelProperty("需求ID")
    private Long demandId;

    @ApiModelProperty("专家信息列表")
    private List<BaseExpert> baseExpertList;

    @ApiModelProperty("选取时间 yyy-MM-dd")
    private String accessTime;


    /** 创建者 */
    @ApiModelProperty("创建者")
    private String createBy;

    /** 创建时间 */
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    @ApiModelProperty("创建时间")
    private Date createTime;

    /** 更新者 */
    @ApiModelProperty("更新者")
    private String updateBy;

    /** 更新时间 */
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    @ApiModelProperty("更新时间")
    private Date updateTime;

}
