package com.ozs.pm.doman.vo.requestVo;


import com.fasterxml.jackson.annotation.JsonFormat;
import com.ozs.pm.doman.PmBidOpening;
import com.ozs.system.domain.SysFileRef;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;
import java.util.Date;
import java.util.List;

/**
 * 中标基本情况表(PmBidWinning)å®ä½ç±»
 *
 * @author makejava
 * @since 2023-02-02 00:47:22
 */

@Data
@ApiModel(value = "中标基本情况表", description = "")
public class PmBidWinningReqVo implements Serializable {
    private static final long serialVersionUID = -23785941414293726L;

    private Long id;


    @ApiModelProperty("需求ID")
    private Long demandId;


    @ApiModelProperty("中标金额(万元)")
    private Double bidWinningAmount;

    @JsonFormat(pattern = "yyyy-MM-dd")
    @ApiModelProperty("中标公告时间")
    private Date bidAnnouncementTime;

    @JsonFormat(pattern = "yyyy-MM-dd")
    @ApiModelProperty("中标公告截止时间")
    private Date bidAnnouncementCloseTime;

    @ApiModelProperty("备注")
    private String remarks;

    @ApiModelProperty("创建者")
    private String createBy;

    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    @ApiModelProperty("创建时间")
    private Date createTime;


    @ApiModelProperty("更新者")
    private String updateBy;

    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    @ApiModelProperty("更新时间")
    private Date updateTime;

    /**
     * 中标信息ID列表
     */
    @ApiModelProperty("中标信息ID列表")
    private List<Long> pmBidOpeningIdList;

    /**
     * 上传附件
     */
    @ApiModelProperty("上传附件")
    private List<SysFileRef> sysFileRefs;
}
