package com.ozs.pm.doman;

import java.util.Date;

import com.baomidou.mybatisplus.annotation.TableName;
import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;

import java.time.LocalDateTime;

import com.baomidou.mybatisplus.annotation.TableField;

import java.io.Serializable;

import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

/**
 * 合同信息表(PmContractInfo)å®ä½ç±»
 *
 * @author makejava
 * @since 2023-02-02 00:47:22
 */

@Data
@EqualsAndHashCode(callSuper = false)
@Accessors(chain = true)
@TableName("pm_contract_info")
@ApiModel(value = "合同信息表", description = "")
public class PmContractInfo implements Serializable {
    private static final long serialVersionUID = -59348130033569267L;

    @TableId(value = "ID", type = IdType.AUTO)
    private Long id;


    @ApiModelProperty("需求ID")
    @TableField("DEMAND_ID")
    private Long demandId;


    @ApiModelProperty("合同编号")
    @TableField("CONTRACT_NUMBER")
    private String contractNumber;


    @ApiModelProperty("合同名称")
    @TableField("CONTRACT_NAME")
    private String contractName;


    @ApiModelProperty("合同金额（万元）")
    @TableField("CONTRACT_AMOUNT")
    private Double contractAmount;


    @ApiModelProperty("合同起始日期")
    @TableField("CONTRACT_START_DATE")
    private Date contractStartDate;


    @ApiModelProperty("合同终止日期")
    @TableField("CONTRACT_TERMINATION_DATE")
    private Date contractTerminationDate;


    @ApiModelProperty("创建者")
    @TableField("CREATE_BY")
    private String createBy;


    @ApiModelProperty("创建时间")
    @TableField("CREATE_TIME")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private Date createTime;


    @ApiModelProperty("更新者")
    @TableField("UPDATE_BY")
    private String updateBy;


    @ApiModelProperty("更新时间")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    @TableField("UPDATE_TIME")
    private Date updateTime;


}
