package com.ozs.pm.doman;

import java.util.Date;

import com.baomidou.mybatisplus.annotation.TableName;
import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;

import java.time.LocalDateTime;

import com.baomidou.mybatisplus.annotation.TableField;

import java.io.Serializable;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

/**
 * 专家意见反馈表历史表(PmExpertFeedbackHis)å®ä½ç±»
 *
 * @author makejava
 * @since 2023-03-06 23:22:07
 */

@Data
@EqualsAndHashCode(callSuper = false)
@Accessors(chain = true)
@TableName("pm_expert_feedback_his")
@ApiModel(value = "专家意见反馈表历史表", description = "")
public class PmExpertFeedbackHis implements Serializable {
    private static final long serialVersionUID = 624456489553905491L;

    @TableId(value = "HIS_ID", type = IdType.AUTO)
    private Long hisId;


    @ApiModelProperty("主表主键")
    @TableField("ID")
    private Long id;


    @ApiModelProperty("需求ID")
    @TableField("DEMAND_ID")
    private Long demandId;


    @ApiModelProperty("文件评审时间")
    @TableField("DOCUMENT_REVIEW_TIME")
    private Date documentReviewTime;


    @ApiModelProperty("反馈时间")
    @TableField("FEEDBACK_TIME")
    private Date feedbackTime;


    @ApiModelProperty("答复时间")
    @TableField("REPLY_TIME")
    private Date replyTime;


    @ApiModelProperty("项目编号")
    @TableField("PROJECT_NUMBER")
    private String projectNumber;


    @ApiModelProperty("创建者")
    @TableField("CREATE_BY")
    private String createBy;


    @ApiModelProperty("创建时间")
    @TableField("CREATE_TIME")
    private Date createTime;


    @ApiModelProperty("更新者")
    @TableField("UPDATE_BY")
    private String updateBy;


    @ApiModelProperty("更新时间")
    @TableField("UPDATE_TIME")
    private Date updateTime;


    @ApiModelProperty("回退序号")
    @TableField("RETURN_ORDER_NUMBER")
    private Integer returnOrderNumber;


}
