package com.ozs.pm.doman;

import java.util.Date;

import com.baomidou.mybatisplus.annotation.TableName;
import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;

import java.time.LocalDateTime;

import com.baomidou.mybatisplus.annotation.TableField;

import java.io.Serializable;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

/**
 * 采购文件编制审核表(PmProcurementDocumentsReview)å®ä½ç±»
 *
 * @author makejava
 * @since 2023-03-05 17:24:32
 */

@Data
@EqualsAndHashCode(callSuper = false)
@Accessors(chain = true)
@TableName("pm_procurement_documents_review")
@ApiModel(value = "采购文件编制审核表", description = "")
public class PmProcurementDocumentsReview implements Serializable {
    private static final long serialVersionUID = -21768252534981356L;

    @TableId(value = "ID", type = IdType.AUTO)
    private Long id;


    @ApiModelProperty("需求ID")
    @TableField("DEMAND_ID")
    private Long demandId;


    @ApiModelProperty("采购办审批时间")
    @TableField("PROCUREMENT_OFFICE_APPROVAL_TIME")
    private Date procurementOfficeApprovalTime;


    @ApiModelProperty("需求单位审批时间")
    @TableField("DEMAND_UNIT_APPROVAL_TIME")
    private Date demandUnitApprovalTime;


    @ApiModelProperty("采购管理部门审批时间")
    @TableField("PROCUREMENT_MANAGER_APPROVAL_TIME")
    private Date procurementManagerApprovalTime;


    @ApiModelProperty("创建者")
    @TableField("CREATE_BY")
    private String createBy;


    @ApiModelProperty("创建时间")
    @TableField("CREATE_TIME")
    private Date createTime;


    @ApiModelProperty("更新者")
    @TableField("UPDATE_BY")
    private String updateBy;


    @ApiModelProperty("更新时间")
    @TableField("UPDATE_TIME")
    private Date updateTime;


}
