package com.ozs.pm.doman;

import java.util.Date;

import com.baomidou.mybatisplus.annotation.TableName;
import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;

import java.time.LocalDateTime;

import com.baomidou.mybatisplus.annotation.TableField;

import java.io.Serializable;

import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

/**
 * 发布公告表(PmReleaseAnnouncement)å®ä½ç±»
 *
 * @author makejava
 * @since 2023-02-02 00:47:23
 */

@Data
@EqualsAndHashCode(callSuper = false)
@Accessors(chain = true)
@TableName("pm_release_announcement")
@ApiModel(value = "发布公告表", description = "")
public class PmReleaseAnnouncement implements Serializable {
    private static final long serialVersionUID = 403614463746791218L;

    @TableId(value = "ID", type = IdType.AUTO)
    private Long id;


    @ApiModelProperty("需求ID")
    @TableField("DEMAND_ID")
    private Long demandId;


    @ApiModelProperty("发布公告平台,1:军队采购网,2:全军武器装备采购网")
    @TableField("ANNOUNCEMENT_PLATFORM")
    private String announcementPlatform;


    @ApiModelProperty("发布时间")
    @TableField("RELEASE_TIME")
    private Date releaseTime;


    @ApiModelProperty("开标地点")
    @TableField("BID_OPEN_PLACE")
    private String bidOpenPlace;


    @ApiModelProperty("报名截止时间")
    @TableField("ENROLL_CLOSE_TIME")
    private Date enrollCloseTime;


    @ApiModelProperty("开标时间")
    @TableField("TENDER_OPEN_TIME")
    private Date tenderOpenTime;


    @ApiModelProperty("备注")
    @TableField("REMARKS")
    private String remarks;



    @ApiModelProperty("创建者")
    @TableField("CREATE_BY")
    private String createBy;


    @ApiModelProperty("创建时间")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    @TableField("CREATE_TIME")
    private Date createTime;


    @ApiModelProperty("更新者")
    @TableField("UPDATE_BY")
    private String updateBy;


    @ApiModelProperty("更新时间")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    @TableField("UPDATE_TIME")
    private Date updateTime;


}
