package com.ozs.pm.doman.vo.requestVo;


import com.fasterxml.jackson.annotation.JsonFormat;
import com.ozs.common.core.domain.BaseEntity;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.util.Date;

@Data
public class PmBaseExpertExtractReqVo {

    @ApiModelProperty("需求ID")
    private Long demandId;

    @ApiModelProperty("选取时间 yyy-MM-dd")
    private String accessTime;

    @ApiModelProperty("技术专家数量")
    private Integer technicalExpertNumber;

    @ApiModelProperty("经济专家数量")
    private Integer economicExpertNumber;

    @ApiModelProperty("法务专家数量")
    private Integer legalAffairsExpertNumber;

    @ApiModelProperty("备用专家数量")
    private Integer spareExpertNumber;

    @ApiModelProperty("专家专业，多个用逗号分隔")
    private String professional;

    @ApiModelProperty("所在区域")
    private String localArea;

    @ApiModelProperty("需要回避单位，多个用逗号分隔")
    private String needAvoidUnit;


    /** 创建者 */
    @ApiModelProperty("创建者")
    private String createBy;

    /** 创建时间 */
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    @ApiModelProperty("创建时间")
    private Date createTime;

    /** 更新者 */
    @ApiModelProperty("更新者")
    private String updateBy;

    /** 更新时间 */
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    @ApiModelProperty("更新时间")
    private Date updateTime;

}
