package com.ozs.pm.doman.vo.requestVo;


import com.fasterxml.jackson.annotation.JsonFormat;
import com.ozs.system.domain.SysFileRef;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;
import java.util.Date;
import java.util.List;

/**
 * 项目建设表(PmProjectConstruction)å®ä½ç±»
 *
 * @author makejava
 * @since 2023-02-02 00:47:23
 */

@Data
public class PmProjectConstructionReqVo implements Serializable {
    private static final long serialVersionUID = -98627692890895867L;

    @ApiModelProperty("主键")
    private Long id;

    @ApiModelProperty("需求ID")
    private Long demandId;

    @JsonFormat(pattern = "yyyy-MM-dd")
    @ApiModelProperty("开始时间")
    private Date startTime;

    @JsonFormat(pattern = "yyyy-MM-dd")
    @ApiModelProperty("初步验收时间")
    private Date preliminaryInspectionTime;

    @JsonFormat(pattern = "yyyy-MM-dd")
    @ApiModelProperty("终验时间")
    private Date finalInspectionTime;

    @JsonFormat(pattern = "yyyy-MM-dd")
    @ApiModelProperty("结束时间")
    private Date endTime;


    @ApiModelProperty("创建者")
    private String createBy;

    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    @ApiModelProperty("创建时间")
    private Date createTime;


    @ApiModelProperty("更新者")
    private String updateBy;

    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    @ApiModelProperty("更新时间")
    private Date updateTime;

    /**
     * 上传附件
     */
    @ApiModelProperty("上传附件")
    private List<SysFileRef> sysFileRefs;
}
