package com.ozs.pm.doman.vo.requestVo;


import com.baomidou.mybatisplus.annotation.TableField;
import com.ozs.system.domain.SysFileRef;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

import java.util.Date;
import java.util.List;


/**
 * 采购执行查询对象
 *
 * @author ruoyi
 * @date 2023-01-16
 */
@Data
@AllArgsConstructor
@NoArgsConstructor
@Builder
@ApiModel("采购执行查询对象")
public class PmPurchaseExecutionReqVo {
    /**
     * 采购需求ID
     */
    @ApiModelProperty("采购需求ID")
    private Long demandId;

    /**
     * 上传附件
     */
    @ApiModelProperty("上传附件")
    private List<SysFileRef> sysFileRefs;

    @ApiModelProperty("上传中标通知书时间")
    @TableField("UP_ACCEPTANCE_TIME")
    private Date upAcceptanceTime;
}
