package com.ozs.pm.doman.vo.responseVo;


import com.fasterxml.jackson.annotation.JsonFormat;
import com.ozs.system.domain.SysFileInfo;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;


import java.io.Serializable;
import java.util.Date;
import java.util.List;

/**
 * 专家意见反馈表(PmExpertFeedback)å®ä½ç±»
 *
 * @author makejava
 * @since 2023-03-05 17:19:46
 */

@Data
@ApiModel(value = "专家意见反馈表", description = "")
public class PmExpertFeedbackResVo implements Serializable {
    private static final long serialVersionUID = 472163385609090741L;

    private Long id;


    @ApiModelProperty("需求ID")
    private Long demandId;


    @ApiModelProperty("文件评审时间")
    @JsonFormat(pattern = "yyyy-MM-dd")
    private Date documentReviewTime;


    @ApiModelProperty("反馈时间")
    @JsonFormat(pattern = "yyyy-MM-dd")
    private Date feedbackTime;


    @ApiModelProperty("答复时间")
    @JsonFormat(pattern = "yyyy-MM-dd")
    private Date replyTime;


    @ApiModelProperty("项目编号")
    private String projectNumber;


    @ApiModelProperty("创建者")
    private String createBy;


    @ApiModelProperty("创建时间")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private Date createTime;


    @ApiModelProperty("更新者")
    private String updateBy;


    @ApiModelProperty("更新时间")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private Date updateTime;


    /**
     * 已上传的关联附件信息
     */
    @ApiModelProperty("已上传的关联附件信息")
    private List<SysFileInfo> fileInfos;
}
