package com.ozs.system.domain;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.ozs.common.annotation.Excel;
import com.ozs.common.vo.BaseDto;
import io.swagger.annotations.ApiModelProperty;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;

import java.io.Serializable;

/**
 * 附件关联对象 sys_file_ref
 *
 * @author ruoyi
 * @date 2023-01-17
 */
@Data
@AllArgsConstructor
@NoArgsConstructor
public class SysFileRef extends BaseDto
{


    /** 主键id */
    @ApiModelProperty("主键ID")
    @TableId(type = IdType.AUTO)
    private Long id;

    /** 关联id */
    @Excel(name = "关联id")
    private Long redId;

    /** 附件主键 */
    @Excel(name = "附件主键")
    private Long fileId;

    /** 来源类型：年度1；季度2；临时3，采购需求附件4 ... */
    @Excel(name = "来源类型：年度1；季度2；临时3，采购需求附件4, ...")
    private Integer type;


}
